Карточка установленной интеграции
/api/v1/developer/integrations/{installationId}Возвращает одну минимизированную installation того же проекта ключа. Полученный id можно передать в outbound-webhook lifecycle routes.
Право доступаintegrations.installations.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
installationIdобязательно · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Примеры запроса
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/integrations/INSTALLATION_ID' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Exact project integration installation
application/jsonobject
idобязательно- stringminLength: 1 · maxLength: 160
definitionCodeобязательно- stringminLength: 1 · maxLength: 80
definitionVersionобязательно- integerexclusiveMinimum: 0
displayNameобязательно- stringminLength: 1 · maxLength: 80
statusобязательно- stringenum: ["active","paused","disconnected"]
healthобязательно- stringenum: ["pending","healthy","attention"]
configVersionобязательно- integerexclusiveMinimum: 0
createdAtобязательно- stringformat: "date-time"
updatedAtобязательно- stringformat: "date-time"
disconnectedAtобязательно- string | nullformat: "date-time"
JSON Schema
{
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"definitionCode": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"definitionVersion": {
"type": "integer",
"exclusiveMinimum": 0
},
"displayName": {
"type": "string",
"minLength": 1,
"maxLength": 80
},
"status": {
"type": "string",
"enum": [
"active",
"paused",
"disconnected"
]
},
"health": {
"type": "string",
"enum": [
"pending",
"healthy",
"attention"
]
},
"configVersion": {
"type": "integer",
"exclusiveMinimum": 0
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"disconnectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"required": [
"id",
"definitionCode",
"definitionVersion",
"displayName",
"status",
"health",
"configVersion",
"createdAt",
"updatedAt",
"disconnectedAt"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperIntegrationInstallation"
}400 Invalid installation discovery request
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 Integration discovery access unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 Integration installation not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}